<?xml version="1.0" encoding="utf-8"?>

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
  <appender name="NormalAppender" class="org.apache.log4j.FileAppender">
    <param name="file" value="logFile.txt" />
    <param name="append" value="true" />
    <layout class="org.apache.log4j.PatternLayout">
      <param name="ConversionPattern" value="%d %r %-5p [%t:%x] - %m%n" />
    </layout>
  </appender>
  
  <!-- Specify the level for some specific categories -->
  <category name="normal" >
    <priority value ="trace" />
    <appender-ref ref="NormalAppender"/>
  </category>

</log4j:configuration>


<!--
Log Level	  Description
FATAL	      Severe errors that cause premature termination.
ERROR	      Other run-time errors or unexpected conditions.
WARN	      Run-time situations that are undesirable or unexpected, but not necessarily "wrong".
INFO	      Interesting run-time events (start-up/shutdown).
DEBUG	      Detailed information on the flow through the system.
TRACE	      More detailed information.
Also defined are ALL and OFF.
-->